Prefix: /usr/local
Summary:   A WYSIWYG frontend to LaTeX
Name:      lyx
Version:   1.0.1
Release:   2
Source:    ftp://ftp.lyx.org/pub/lyx/stable/lyx-%PACKAGE_VERSION.tar.gz
Copyright: GPL
Group:     X11/Applications/Publishing
Requires:  xforms >= 0.88, tetex-xdvi, tetex, tetex-latex
Packager:  Mate Wierdl <mw@moni.msci.memphis.edu>
URL:       http://www.lyx.org
Buildroot: /tmp/lyx-root
%description
LyX is a wordprocessor frontend to LaTeX, which gives both the
ease-of-use of a wordprocessor, and the flexibility and power of LaTeX.

%prep

%setup

%build

CXXFLAGS="$RPM_OPT_FLAGS" ./configure --with-included-gettext 

make

%install
#rename the installation root more appropriately
DESTDIR=$RPM_BUILD_ROOT
rm -rf $DESTDIR

make	install prefix=$DESTDIR/%{prefix}
 
cp -a images/lyx.xpm $DESTDIR/%{prefix}/share/lyx/images

strip $DESTDIR/%{prefix}/bin/lyx

# Have a copy of the reLyX README in the doc directory
cp lib/reLyX/README reLyX.README
%post
# Before configuring lyx for the local system
# PATH needs to be imported 
if [ -f /etc/profile ]; then
    . /etc/profile
fi

# Now configure LyX
echo "Configuring LyX for your system..."
( cd $RPM_INSTALL_PREFIX/share/lyx
./configure --srcdir
)

# Take care of leftover lyxrc in /etc
if [ -f /etc/lyxrc ]; then
    echo "Moving the old config file /etc/lyxrc to" 
    echo "$RPM_INSTALL_PREFIX/share/lyx/lyxrc-from-etc"
    echo "If you do not need it delete it."     
    mv /etc/lyxrc $RPM_INSTALL_PREFIX/share/lyx/lyxrc-from-etc
fi

%clean
#rename the installation root more appropriately
DESTDIR=$RPM_BUILD_ROOT
rm -rf $DESTDIR

%files
%doc ANNOUNCE BUGS CHANGES COPYING README
%doc ABOUT-NLS UPGRADING WHATSNEW  reLyX.README
%{prefix}/bin/*
%{prefix}/man/*/*
%{prefix}/share/lyx
%{prefix}/share/locale/*/LC_MESSAGES/lyx.mo


